Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031410
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2015-11-10 09:032015-12-31 11:26
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision.
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToOrekaria
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031410: Import entry process can have a stopped but not deregistered thread: tickets remain in the queue

DescriptionIf a low-level error occurs when processing import entries there is a possibility that the run method ([1]) in the ImportEntryProcessRunnable is exited without deregistering.

[1] https://code.openbravo.com/erp/devel/pi/file/710400f71264/src/org/openbravo/service/importprocess/ImportEntryProcessor.java#l274 [^]
Steps To ReproduceForce a low level exception, for example throw an exception around this line:
https://code.openbravo.com/erp/devel/pi/file/710400f71264/src/org/openbravo/service/importprocess/ImportEntryProcessor.java#l375 [^]
Proposed SolutionAdd a catch (Throwable logIt) before the finally block in this location:
https://code.openbravo.com/erp/devel/pi/file/710400f71264/src/org/openbravo/service/importprocess/ImportEntryProcessor.java#l381 [^]

Also add more logging statements to log errors/exceptions. Backend threads shallow exceptions/they are not logged.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031368 closedmtaal Add log in importprocess to get more information if it fails 
depends on backport 00314453.0PR15Q4.1 closedmtaal Import entry process can have a stopped but not deregistered thread: tickets remain in the queue 
depends on backport 00314463.0PR15Q3.4 closedmtaal Import entry process can have a stopped but not deregistered thread: tickets remain in the queue 

-  Notes
(0081697)
hgbot (developer)
2015-11-11 12:23

Repository: erp/devel/pi
Changeset: f37f05074060785c4c63633b6b637c4c42071fda
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Nov 10 09:05:49 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f37f05074060785c4c63633b6b637c4c42071fda [^]

Related to issue 31410: Import entry process can have a stopped but not deregistered thread: tickets remain in the queue
Added logging statements, add wait in ImportEntryManager loop, also make sure that the wait time computation does not round, add a catch block in ImportEntryProcessorRunnable, moved the inner loop to a separate method for readability

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0081810)
hgbot (developer)
2015-11-13 11:07

Repository: erp/devel/pi
Changeset: 24ecac05d0fd8b6e156f69ced36f9229f58459e0
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Nov 13 11:07:02 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/24ecac05d0fd8b6e156f69ced36f9229f58459e0 [^]

Related to issue 31410: Import entry process can have a stopped but not deregistered thread: tickets remain in the queue
Handle the case that the import entry has no role set, use the default in that case

---
M src/org/openbravo/service/importprocess/ImportEntryProcessor.java
---
(0082197)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082226)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082506)
mtaal (developer)
2015-12-01 23:21

Fixed by commits for the issue, child issues are resolved

- Issue History
Date Modified Username Field Change
2015-11-10 09:03 mtaal New Issue
2015-11-10 09:03 mtaal Assigned To => mtaal
2015-11-10 09:03 mtaal Modules => Core
2015-11-10 09:03 mtaal Triggers an Emergency Pack => No
2015-11-10 09:03 mtaal Relationship added related to 0031368
2015-11-11 12:23 hgbot Checkin
2015-11-11 12:23 hgbot Note Added: 0081697
2015-11-12 11:14 mtaal Status new => scheduled
2015-11-13 11:07 hgbot Checkin
2015-11-13 11:07 hgbot Note Added: 0081810
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082197
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082226
2015-12-01 22:10 mtaal Review Assigned To => marvintm
2015-12-01 23:21 mtaal Note Added: 0082506
2015-12-01 23:21 mtaal Status scheduled => resolved
2015-12-01 23:21 mtaal Fixed in Version => 3.0PR16Q1
2015-12-01 23:21 mtaal Fixed in SCM revision => .
2015-12-01 23:21 mtaal Resolution open => fixed
2015-12-31 11:26 Orekaria Review Assigned To marvintm => Orekaria
2015-12-31 11:26 Orekaria Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker